QGIS Application - Bug report #15620
QGIS crashes when opening Settings -> Options dialog
2016-09-26 06:48 PM - Thomas McAdam

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:2.14.6 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 23543
Description

QGIS 2.14.7, 2.14.1, 2.16.3 is freezing and crashing consistently when you try and open the Options -> Settings dialog. This has started
happening in the last week or so. | am trying to use to QGIS 2.14 LTR http://qgis.org/debian-Itr.

Things | have tried so far:

-deleting .qgis2 folder an allow QGIS to recreate it on application start-up

-completely uninstalling QGIS 2.14.7 LTR and dependencies and reinstalling from http://qgis.org/debian-Itr (deleting .qgis2 folder at the
same time)

-completely uninstalling QGIS and installing 2.16.3 from http://qgis.org/debian (deleting .qgis2 folder at the same time)

-completely uninstalling QGIS and installing 2.14.1 from http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu (deleting .qgis2
folder at the same time)

The only version of QGIS | can get to work fully in Ubuntu 16.04 is 2.8 from the main Ubuntu repo

History

#1 - 2016-09-28 03:07 PM - Jiirgen Fischer

Not reproducable here. (Re)moving ~/.config/QGIS/QGIS2.conf might also help.

#2 - 2016-09-28 04:48 PM - Thomas McAdam

Thank you Jiirgen, this has fixed the problem. | wasn't aware there was any config outside .qgis2 folder.

#3 - 2016-09-28 06:52 PM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Open to Closed

#4 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
